ViennaCL - The Vienna Computing Library: examples/benchmarks/direct_solve.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Functions
direct_solve.cpp File Reference
`#include <iostream>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/matrix_proxy.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/tools/random.hpp"`
`#include "viennacl/tools/timer.hpp"`

Go to the source code of this file.

## Macros
#define | BENCHMARK_RUNS 10

## Functions
void | printOps (double num_ops, double exec_time)
template<typename NumericT >
void | fill_matrix (viennacl::matrix< NumericT > &mat)
template<typename NumericT >
void | fill_vector (viennacl::vector< NumericT > &vec)
template<typename NumericT , typename MatrixT1 , typename MatrixT2 , typename MatrixT3 , typename SolverTag >
void | run_solver_matrix (MatrixT1 const &matrix1, MatrixT2 const &matrix2, MatrixT3 &result, SolverTag)
template<typename NumericT , typename VectorT , typename VectorT2 , typename MatrixT , typename SolverTag >
void | run_solver_vector (MatrixT const &matrix, VectorT2 const &vector2, VectorT &result, SolverTag)
template<typename NumericT , typename F_A , typename F_B >
void | run_benchmark ()
int | main ()

## Macro Definition Documentation

#define BENCHMARK_RUNS 10

Definition at line 36 of file direct_solve.cpp.

## Function Documentation

template<typename NumericT >

void fill_matrix | ( | viennacl::matrix< NumericT > & | mat | ) |

Definition at line 46 of file direct_solve.cpp.

template<typename NumericT >

void fill_vector | ( | viennacl::vector< NumericT > & | vec | ) |

Definition at line 59 of file direct_solve.cpp.

int main | ( |  | ) |

Definition at line 142 of file direct_solve.cpp.

void printOps | ( | double | num_ops,
|  | double | exec_time
| ) |  |
| inline

Definition at line 39 of file direct_solve.cpp.

template<typename NumericT , typename F_A , typename F_B >

void run_benchmark | ( |  | ) |

Definition at line 111 of file direct_solve.cpp.

template<typename NumericT , typename MatrixT1 , typename MatrixT2 , typename MatrixT3 , typename SolverTag >

void run_solver_matrix | ( | MatrixT1 const & | matrix1,
|  | MatrixT2 const & | matrix2,
|  | MatrixT3 & | result,
|  | SolverTag |
| ) |  |

Definition at line 68 of file direct_solve.cpp.

template<typename NumericT , typename VectorT , typename VectorT2 , typename MatrixT , typename SolverTag >

void run_solver_vector | ( | MatrixT const & | matrix,
|  | VectorT2 const & | vector2,
|  | VectorT & | result,
|  | SolverTag |
| ) |  |

Definition at line 89 of file direct_solve.cpp.